function updatesignallaenge
%  

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
global faktorstring stufenvec aktiverfaktor gradientcell stufenvec widmat ausschlussmat signallaenge

for z=1:length(gradientcell)
    sumvec(z)=sum(gradientcell{z});
end

if sum(sumvec(1)==sumvec)==length(sumvec)
signallaenge=sumvec(1);
else
    errordlg('Faktoren müssen in der Summe gleiche Stimulianzahlen enthalten!','Achtung!');
    signallaenge=[];
    return
end
signallaengeedit=findobj('tag','signallaengeedit');
set(signallaengeedit,'string',num2str(signallaenge));


return